<?php 
require_once "../modelos/Transportista.php";

$transportista  =   new Transportista();

$idtransportista=   isset($_POST["idtransportista"])? limpiarCadena($_POST["idtransportista"]):"";
$tipo_persona   =   isset($_POST["tipo_persona"])? limpiarCadena($_POST["tipo_persona"]):"";
$nombre         =   isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$tipo_documento =   isset($_POST["tipo_documento"])? limpiarCadena($_POST["tipo_documento"]):"";
$num_documento  =   isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$direccion      =   isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$telefono       =   isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email          =   isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$vehiculo       =   isset($_POST["vehiculo"])? limpiarCadena($_POST["vehiculo"]):"";
$placa          =   isset($_POST["placa"])? limpiarCadena($_POST["placa"]):"";


switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idtransportista)) {
            $rspta=$transportista->insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa);
            echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
        }else{
            $rspta=$transportista->editar($idtransportista,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa);
            echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        }
	break;
	

	case 'eliminar':
		$rspta=$transportista->eliminar($idtransportista);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'desactivar':
		$rspta=$transportista->desactivar($idtransportista);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$transportista->activar($idtransportista);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$transportista->mostrar($idtransportista);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$transportista->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$transportista->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta=$transportista->listar();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
			"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
				onclick="mostrar('.$reg->idtransportista.')"><i class="fa fa-pencil"></i></button>'.' '.'
				<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtransportista.')">
				<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
				onclick="mostrar('.$reg->idtransportista.')"><i class="fa fa-pencil"></i></button>'.' '.'
				<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtransportista.')">
				<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email,
			"6"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>